generator:
  class: sfDoctrineGenerator
  param:
    model_class:           Suppliers
    theme:                 admin
    non_verbose_templates: true
    with_show:             false
    singular:              ~
    plural:                ~
    route_prefix:          suppliers
    with_doctrine_route:   true
    actions_base_class:    sfActions
    order: 45
    hr: true

    config:
      actions: ~
      fields:
        org: {label: Организация}
        fio: {label: ФИО}
        email: {label: Эл. почта}
        phone: {label: Телефон}
        created_at: {label: Дата создания}
      list:
        layout: ~
        title: 'Поставщики'
        display: [org, fio, phone, email]
        max_per_page: 100
        object_actions:
          _delete: ~
          _edit: ~
        search:
          fields: [org, fio]
        export: false
      filter:
        class: false
      form: ~
      edit:
        title: Редактирование поставщика
      new:
        title: Добавление поставщика